Skip to main content
`Ctrl`+`K`

# SVDLanczosGetOneSide

Gets if the variant of the Lanczos method to be used is one-sided or two-sided.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDLanczosGetOneSide(SVD svd,PetscBool *oneside)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- oneside - boolean flag indicating if the method is one-sided or not

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDLanczosSetOneSide()`

## Level

advanced

## Location

src/svd/impls/lanczos/gklanczos.c

## Implementations

SVDLanczosGetOneSide_Lanczos() in src/svd/impls/lanczos/gklanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages